io.vertx.reactivex.amqp

## Class AmqpClient

- java.lang.Object
- - io.vertx.reactivex.amqp.AmqpClient

-     public class AmqpClient
      extends Object

  AMQP Client entry point. Use this interface to create an instance of `AmqpClient` and connect to a broker and server.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<AmqpClient>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmqpClient(AmqpClient delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(Handler<AsyncResult<Void>> closeHandler)` Closes the client.
    `AmqpClient` | `connect(Handler<AsyncResult<AmqpConnection>> connectionHandler)` Connects to the AMQP broker or router.
    `static AmqpClient` | `create(AmqpClientOptions options)` Creates a new instance of `AmqpClient` using an internal Vert.x instance (with default configuration) and the given AMQP client configuration.
    `static AmqpClient` | `create(Vertx vertx, AmqpClientOptions options)` Creates a new instance of `AmqpClient` with the given Vert.x instance and the given options.
    `AmqpClient` | `createReceiver(String address, AmqpReceiverOptions receiverOptions, Handler<AmqpMessage> messageHandler, Handler<AsyncResult<AmqpReceiver>> completionHandler)` Deprecated.
    `AmqpClient` | `createReceiver(String address, AmqpReceiverOptions receiverOptions, Handler<AsyncResult<AmqpReceiver>> completionHandler)` Creates a receiver used to consumer messages from the given address.
    `AmqpClient` | `createReceiver(String address, Handler<AmqpMessage> messageHandler, Handler<AsyncResult<AmqpReceiver>> completionHandler)` Deprecated.
    `AmqpClient` | `createReceiver(String address, Handler<AsyncResult<AmqpReceiver>> completionHandler)` Creates a receiver used to consume messages from the given address.
    `AmqpClient` | `createSender(String address, AmqpSenderOptions options, Handler<AsyncResult<AmqpSender>> completionHandler)` Creates a sender used to send messages to the given address.
    `AmqpClient` | `createSender(String address, Handler<AsyncResult<AmqpSender>> completionHandler)` Creates a sender used to send messages to the given address.
    `boolean` | `equals(Object o)`
    `AmqpClient` | `getDelegate()`
    `int` | `hashCode()`
    `static AmqpClient` | `newInstance(AmqpClient arg)`
    `Completable` | `rxClose()` Closes the client.
    `Single<AmqpConnection>` | `rxConnect()` Connects to the AMQP broker or router.
    `Single<AmqpReceiver>` | `rxCreateReceiver(String address)` Creates a receiver used to consume messages from the given address.
    `Single<AmqpReceiver>` | `rxCreateReceiver(String address, AmqpReceiverOptions receiverOptions)` Creates a receiver used to consumer messages from the given address.
    `Single<AmqpReceiver>` | `rxCreateReceiver(String address, AmqpReceiverOptions receiverOptions, Handler<AmqpMessage> messageHandler)` Deprecated.
    `Single<AmqpReceiver>` | `rxCreateReceiver(String address, Handler<AmqpMessage> messageHandler)` Deprecated.
    `Single<AmqpSender>` | `rxCreateSender(String address)` Creates a sender used to send messages to the given address.
    `Single<AmqpSender>` | `rxCreateSender(String address, AmqpSenderOptions options)` Creates a sender used to send messages to the given address.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AmqpClient> __TYPE_ARG

  - ### Constructor Detail

    - #### AmqpClient

          public AmqpClient(AmqpClient delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public AmqpClient getDelegate()

    - #### create

          public static AmqpClient create(AmqpClientOptions options)

      Creates a new instance of `AmqpClient` using an internal Vert.x instance (with default configuration) and the given AMQP client configuration. Note that the created Vert.x instance will be closed when the client is closed.
      Parameters:
        `options` - the AMQP client options, may be `null` falling back to the default configuration
      Returns:
        the created instances.

    - #### create

          public static AmqpClient create(Vertx vertx,
                                          AmqpClientOptions options)

      Creates a new instance of `AmqpClient` with the given Vert.x instance and the given options.
      Parameters:
        `vertx` - the vert.x instance, must not be `null`
        `options` - the AMQP options, may be @{code null} falling back to the default configuration
      Returns:
        the AMQP client instance

    - #### connect

          public AmqpClient connect(Handler<AsyncResult<AmqpConnection>> connectionHandler)

      Connects to the AMQP broker or router. The location is specified in the `AmqpClientOptions` as well as the potential credential required.
      Parameters:
        `connectionHandler` - handler that will process the result, giving either the connection or failure cause. Must not be `null`.
      Returns:

    - #### rxConnect

          public Single<AmqpConnection> rxConnect()

      Connects to the AMQP broker or router. The location is specified in the `AmqpClientOptions` as well as the potential credential required.
      Returns:

    - #### close

          public void close(Handler<AsyncResult<Void>> closeHandler)

      Closes the client. The client must always be closed once not needed anymore.
      Parameters:
        `closeHandler` - the close handler notified when the operation completes. It can be `null`.

    - #### rxClose

          public Completable rxClose()

      Closes the client. The client must always be closed once not needed anymore.
      Returns:

    - #### createReceiver

          public AmqpClient createReceiver(String address,
                                           Handler<AsyncResult<AmqpReceiver>> completionHandler)

      Creates a receiver used to consume messages from the given address. The receiver has no handler and won't start receiving messages until a handler is explicitly configured. This method avoids having to connect explicitly. You can retrieve the connection using `AmqpReceiver.connection()`.
      Parameters:
        `address` - The source address to attach the consumer to, must not be `null`
        `completionHandler` - the handler called with the receiver. The receiver has been opened.
      Returns:
        the client.

    - #### rxCreateReceiver

          public Single<AmqpReceiver> rxCreateReceiver(String address)

      Creates a receiver used to consume messages from the given address. The receiver has no handler and won't start receiving messages until a handler is explicitly configured. This method avoids having to connect explicitly. You can retrieve the connection using `AmqpReceiver.connection()`.
      Parameters:
        `address` - The source address to attach the consumer to, must not be `null`
      Returns:
        the client.

    - #### createReceiver

          @Deprecated
          public AmqpClient createReceiver(String address,
                                                       Handler<AmqpMessage> messageHandler,
                                                       Handler<AsyncResult<AmqpReceiver>> completionHandler)

      Deprecated.
      Creates a receiver used to consume messages from the given address. This method avoids having to connect explicitly. You can retrieve the connection using `AmqpReceiver.connection()`.
      Parameters:
        `address` - The source address to attach the consumer to, must not be `null`
        `messageHandler` - The message handler, must not be `null`
        `completionHandler` - the handler called with the receiver that has been opened. Note that the `messageHandler` can be called before the `completionHandler` if messages are awaiting delivery.
      Returns:
        the client.

    - #### rxCreateReceiver

          @Deprecated
          public Single<AmqpReceiver> rxCreateReceiver(String address,
                                                                   Handler<AmqpMessage> messageHandler)

      Deprecated.
      Creates a receiver used to consume messages from the given address. This method avoids having to connect explicitly. You can retrieve the connection using `AmqpReceiver.connection()`.
      Parameters:
        `address` - The source address to attach the consumer to, must not be `null`
        `messageHandler` - The message handler, must not be `null`
      Returns:
        the client.

    - #### createReceiver

          public AmqpClient createReceiver(String address,
                                           AmqpReceiverOptions receiverOptions,
                                           Handler<AsyncResult<AmqpReceiver>> completionHandler)

      Creates a receiver used to consumer messages from the given address. This method avoids having to connect explicitly. You can retrieve the connection using `AmqpReceiver.connection()`.
      Parameters:
        `address` - The source address to attach the consumer to.
        `receiverOptions` - The options for this receiver.
        `completionHandler` - The handler called with the receiver, once opened. Note that the `messageHandler` can be called before the `completionHandler` if messages are awaiting delivery.
      Returns:
        the connection.

    - #### rxCreateReceiver

          public Single<AmqpReceiver> rxCreateReceiver(String address,
                                                       AmqpReceiverOptions receiverOptions)

      Creates a receiver used to consumer messages from the given address. This method avoids having to connect explicitly. You can retrieve the connection using `AmqpReceiver.connection()`.
      Parameters:
        `address` - The source address to attach the consumer to.
        `receiverOptions` - The options for this receiver.
      Returns:
        the connection.

    - #### createReceiver

          @Deprecated
          public AmqpClient createReceiver(String address,
                                                       AmqpReceiverOptions receiverOptions,
                                                       Handler<AmqpMessage> messageHandler,
                                                       Handler<AsyncResult<AmqpReceiver>> completionHandler)

      Deprecated.
      Creates a receiver used to consumer messages from the given address. This method avoids having to connect explicitly. You can retrieve the connection using `AmqpReceiver.connection()`.
      Parameters:
        `address` - The source address to attach the consumer to.
        `receiverOptions` - The options for this receiver.
        `messageHandler` - The message handler, must not be `null`
        `completionHandler` - The handler called with the receiver, once opened. Note that the `messageHandler` can be called before the `completionHandler` if messages are awaiting delivery.
      Returns:
        the connection.

    - #### rxCreateReceiver

          @Deprecated
          public Single<AmqpReceiver> rxCreateReceiver(String address,
                                                                   AmqpReceiverOptions receiverOptions,
                                                                   Handler<AmqpMessage> messageHandler)

      Deprecated.
      Creates a receiver used to consumer messages from the given address. This method avoids having to connect explicitly. You can retrieve the connection using `AmqpReceiver.connection()`.
      Parameters:
        `address` - The source address to attach the consumer to.
        `receiverOptions` - The options for this receiver.
        `messageHandler` - The message handler, must not be `null`
      Returns:
        the connection.

    - #### createSender

          public AmqpClient createSender(String address,
                                         Handler<AsyncResult<AmqpSender>> completionHandler)

      Creates a sender used to send messages to the given address. The address must be set.
      Parameters:
        `address` - The target address to attach to, must not be `null`
        `completionHandler` - The handler called with the sender, once opened
      Returns:
        the client.

    - #### rxCreateSender

          public Single<AmqpSender> rxCreateSender(String address)

      Creates a sender used to send messages to the given address. The address must be set.
      Parameters:
        `address` - The target address to attach to, must not be `null`
      Returns:
        the client.

    - #### createSender

          public AmqpClient createSender(String address,
                                         AmqpSenderOptions options,
                                         Handler<AsyncResult<AmqpSender>> completionHandler)

      Creates a sender used to send messages to the given address. The address must be set.
      Parameters:
        `address` - The target address to attach to, must not be `null`
        `options` - The options for this sender.
        `completionHandler` - The handler called with the sender, once opened
      Returns:
        the client.

    - #### rxCreateSender

          public Single<AmqpSender> rxCreateSender(String address,
                                                   AmqpSenderOptions options)

      Creates a sender used to send messages to the given address. The address must be set.
      Parameters:
        `address` - The target address to attach to, must not be `null`
        `options` - The options for this sender.
      Returns:
        the client.

    - #### newInstance

          public static AmqpClient newInstance(AmqpClient arg)

Copyright © 2019 Eclipse. All rights reserved.